<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Module: NewContract</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Module: NewContract</h1>

    




<section>

<header>
    
        
            
        
    
</header>

<article>
    <div class="container-overview">
    
        
            <div class="description"></p></div></div> 




<h3 class="subsection-title" style="margin-top: 1em" data-jsdoc-vuejs="section-data">Data</h3>
<table data-jsdoc-vuejs="table-data">
    <thead>
    <tr>
        <th>Name</th>
        <th>Type</th>
        <th>Default value</th>
        <th>Description</th>
    </tr>
    </thead>
    <tbody><tr>
        <td><code>listGenders</code></td>
        <td>Array</td>
        <td>-</td>
        <td>Lista de los generos</td>
    </tr><tr>
        <td><code>providerOptions</code></td>
        <td>Array</td>
        <td>-</td>
        <td>Lista de los proveedores</td>
    </tr><tr>
        <td><code>refMaterials</code></td>
        <td>Array</td>
        <td>-</td>
        <td>Materiales asignados al contrato con los datos reales</td>
    </tr><tr>
        <td><code>rules</code></td>
        <td>Array</td>
        <td>-</td>
        <td>Reglas de validacion para campos del formulario</td>
    </tr></tbody>
</table>



<h3 class="subsection-title" style="margin-top: 1em" data-jsdoc-vuejs="section-computed">Computed</h3>
<table data-jsdoc-vuejs="table-computed">
    <thead>
    <tr>
        <th>Name</th>
        <th>Type</th>
        <th>Description</th>
    </tr>
    </thead>
    <tbody><tr>
        <td><code>signals</code></td>
        <td>Array</td>
        <td>Lista de las señales</td>
    </tr><tr>
        <td><code>amortization</code></td>
        <td>Array</td>
        <td>Datos del esquema de amortiacion</td>
    </tr></tbody>
</table>




<h3 class="subsection-title" style="margin-top: 1em" data-jsdoc-vuejs="section-event">Events</h3>
<table data-jsdoc-vuejs="table-event">
    <thead>
    <tr>
        <th>Name</th>
        <th>Payload Type</th>
        <th>Description</th>
    </tr>
    </thead>
    <tbody><tr>
        <td><code>addContract</code></td>
        <td>function</td>
        <td>Crea un contrato</td>
    </tr></tbody>
</table>


<div class="container-overview"><div><p> 
</div>
        

        
            















<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>




















        
    
    </div>

    

    

    

    

    

    

    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    
    <h4 class="name" id="addContract"><span class="type-signature"></span>addContract<span class="signature">(item)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Funcion para crear un nuevo contrato o una adenda
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>item</code></td>
            

            <td class="type">
            
                
<span class="param-type">String</span>


            
            </td>

            

            

            <td class="description last">Cadena que envia si es adenda o nuevo contrato</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="contract_NewContract.vue.html">contract/NewContract.vue</a>, <a href="contract_NewContract.vue.html#line2906">line 2906</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="addContractFee"><span class="type-signature"></span>addContractFee<span class="signature">(index)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Boton donde al dar click se agrega una cuota mas
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>index</code></td>
            

            <td class="type">
            
                
<span class="param-type">Number</span>


            
            </td>

            

            

            <td class="description last">posicion de la cuota en donde se quiere agregar</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="contract_NewContract.vue.html">contract/NewContract.vue</a>, <a href="contract_NewContract.vue.html#line3682">line 3682</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="addMaterialCortesiaPush"><span class="type-signature"></span>addMaterialCortesiaPush<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Agrega los materiales sin costo a la seccion de gratuitos
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="contract_NewContract.vue.html">contract/NewContract.vue</a>, <a href="contract_NewContract.vue.html#line5433">line 5433</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="calculateAmortPercent"><span class="type-signature"></span>calculateAmortPercent<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Se calcula el porcentaje de amortizacion
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="contract_NewContract.vue.html">contract/NewContract.vue</a>, <a href="contract_NewContract.vue.html#line5111">line 5111</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="calculateAmountOfFees"><span class="type-signature"></span>calculateAmountOfFees<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Calculara equitativamente las cuotas al dar enter
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="contract_NewContract.vue.html">contract/NewContract.vue</a>, <a href="contract_NewContract.vue.html#line3741">line 3741</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="calculateTotalAmount"><span class="type-signature"></span>calculateTotalAmount<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Al dar enter esta funcion actua en calcular los impuestos si lo hubiera, y el precio final del contrato
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="contract_NewContract.vue.html">contract/NewContract.vue</a>, <a href="contract_NewContract.vue.html#line3614">line 3614</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="changeNumMat"><span class="type-signature"></span>changeNumMat<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Cambia el numero de los materiales asiganado al contrato
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="contract_NewContract.vue.html">contract/NewContract.vue</a>, <a href="contract_NewContract.vue.html#line4252">line 4252</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="createAmortPercent"><span class="type-signature"></span>createAmortPercent<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Se ejecuta al crear una nueva amortizacion
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="contract_NewContract.vue.html">contract/NewContract.vue</a>, <a href="contract_NewContract.vue.html#line5081">line 5081</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="createContractFee"><span class="type-signature"></span>createContractFee<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Al dar enter se crearan las filas de la cantidad de cuotas en que se pagara el contrato
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="contract_NewContract.vue.html">contract/NewContract.vue</a>, <a href="contract_NewContract.vue.html#line3629">line 3629</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="datosIngresadosContrato"><span class="type-signature"></span>datosIngresadosContrato<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Trae los datos del contrato seleccionado si en caso fuera una adenda, contrato pendiente o adenda pendiente
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="contract_NewContract.vue.html">contract/NewContract.vue</a>, <a href="contract_NewContract.vue.html#line3169">line 3169</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="editChapter"><span class="type-signature"></span>editChapter<span class="signature">(index, index1, index2, free)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Cambia los datos del material o capitulo dentro del contrato
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>index</code></td>
            

            <td class="type">
            
                
<span class="param-type">Number</span>


            
            </td>

            

            

            <td class="description last">Posicion del material en el contrato</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>index1</code></td>
            

            <td class="type">
            
                
<span class="param-type">Number</span>


            
            </td>

            

            

            <td class="description last">Nro de temporada</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>index2</code></td>
            

            <td class="type">
            
                
<span class="param-type">Number</span>


            
            </td>

            

            

            <td class="description last">Nro de capitulo</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>free</code></td>
            

            <td class="type">
            
                
<span class="param-type">String</span>


            
            </td>

            

            

            <td class="description last">Valida si es gratuito o no</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="contract_NewContract.vue.html">contract/NewContract.vue</a>, <a href="contract_NewContract.vue.html#line4915">line 4915</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="editMaterial"><span class="type-signature"></span>editMaterial<span class="signature">(index, data)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Cambia los datos del material o capitulo dentro del contrato
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>index</code></td>
            

            <td class="type">
            
                
<span class="param-type">Number</span>


            
            </td>

            

            

            <td class="description last">Posicion del material</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>data</code></td>
            

            <td class="type">
            
                
<span class="param-type">String</span>


            
            </td>

            

            

            <td class="description last">indica si es gratuito o no</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="contract_NewContract.vue.html">contract/NewContract.vue</a>, <a href="contract_NewContract.vue.html#line4836">line 4836</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="enterMaterial"><span class="type-signature"></span>enterMaterial<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Se agrupan los materiales asignados al contrato a cada lista
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="contract_NewContract.vue.html">contract/NewContract.vue</a>, <a href="contract_NewContract.vue.html#line4025">line 4025</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="findProviderCod"><span class="type-signature"></span>findProviderCod<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Trae la lista de proveedores dependiendo del codigo que se escriba
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="contract_NewContract.vue.html">contract/NewContract.vue</a>, <a href="contract_NewContract.vue.html#line3468">line 3468</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="getEditAmort"><span class="type-signature"></span>getEditAmort<span class="signature">(value)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Cambia la cantidad de pasadas de un material o capitulo de material
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>value</code></td>
            

            <td class="type">
            
                
<span class="param-type">Number</span>


            
            </td>

            

            

            <td class="description last">Trae los parametros de codigo de contrato, material y el capitulo a editar pasadas</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="contract_NewContract.vue.html">contract/NewContract.vue</a>, <a href="contract_NewContract.vue.html#line4823">line 4823</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="getMaterials"><span class="type-signature"></span>getMaterials<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Funcion que trae los materiales que no estan asignados a ningun contrato y estan vigentes
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="contract_NewContract.vue.html">contract/NewContract.vue</a>, <a href="contract_NewContract.vue.html#line2618">line 2618</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="handleSelectGeneral"><span class="type-signature"></span>handleSelectGeneral<span class="signature">(name, nameAmort)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Funcion que cambiara los datos dependiendo de los parametros elegidos
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>name</code></td>
            

            <td class="type">
            
                
<span class="param-type">String</span>


            
            </td>

            

            

            <td class="description last">tipo de dato que se buscara</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>nameAmort</code></td>
            

            <td class="type">
            
                
<span class="param-type">String</span>


            
            </td>

            

            

            <td class="description last">nombre por el cual se filtrara el tipo de amortizacion</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="contract_NewContract.vue.html">contract/NewContract.vue</a>, <a href="contract_NewContract.vue.html#line3520">line 3520</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="handleSelectProvider"><span class="type-signature"></span>handleSelectProvider<span class="signature">(value)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Agregara el porcentaje de impuestos en caso el proveedor sea local o extranjero
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>value</code></td>
            

            <td class="type">
            
                
<span class="param-type">String</span>


            
            </td>

            

            

            <td class="description last">validador si el proveedor es local o extranjero</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="contract_NewContract.vue.html">contract/NewContract.vue</a>, <a href="contract_NewContract.vue.html#line3596">line 3596</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="obtenerPasadas"><span class="type-signature"></span>obtenerPasadas<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Obtener cantidad de pasadas de un material
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="contract_NewContract.vue.html">contract/NewContract.vue</a>, <a href="contract_NewContract.vue.html#line2501">line 2501</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="ordenandoMateriales"><span class="type-signature"></span>ordenandoMateriales<span class="signature">(item)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Funcion que ordena y agrupa todos los materiales que son asignados a un contrato, indistinto si son gratis o de pago
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>item</code></td>
            

            <td class="type">
            
                
<span class="param-type">String</span>


            
            </td>

            

            

            <td class="description last">Cadena que define el estado si es el contrato nuevo o adenda</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="contract_NewContract.vue.html">contract/NewContract.vue</a>, <a href="contract_NewContract.vue.html#line2838">line 2838</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="postAmortization"><span class="type-signature"></span>postAmortization<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Se crea un nuevo esquema de amortizacion
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="contract_NewContract.vue.html">contract/NewContract.vue</a>, <a href="contract_NewContract.vue.html#line5166">line 5166</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="querySearchMaterial"><span class="type-signature"></span>querySearchMaterial<span class="signature">(queryString, cb)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Buscara el material dependiendo del nombre que se le escriba
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>queryString</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>


            
            </td>

            

            

            <td class="description last">Texto que se filtrara</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>cb</code></td>
            

            <td class="type">
            
                
<span class="param-type">function</span>


            
            </td>

            

            

            <td class="description last">Funcion que traera el resultado de los filtros</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="contract_NewContract.vue.html">contract/NewContract.vue</a>, <a href="contract_NewContract.vue.html#line3885">line 3885</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="querySearchProvider"><span class="type-signature"></span>querySearchProvider<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Trae la lista de proveedores dependiendo del nombre que se escriba
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="contract_NewContract.vue.html">contract/NewContract.vue</a>, <a href="contract_NewContract.vue.html#line3488">line 3488</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="removeContractFee"><span class="type-signature"></span>removeContractFee<span class="signature">(index)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Boton para quitar una cuota
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>index</code></td>
            

            <td class="type">
            
                
<span class="param-type">Number</span>


            
            </td>

            

            

            <td class="description last">posicion de la cuota que se quiere eliminar</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="contract_NewContract.vue.html">contract/NewContract.vue</a>, <a href="contract_NewContract.vue.html#line3698">line 3698</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="removeMaterial"><span class="type-signature"></span>removeMaterial<span class="signature">(index, data)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Quitar un material de la lista
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>index</code></td>
            

            <td class="type">
            
                
<span class="param-type">Number</span>


            
            </td>

            

            

            <td class="description last">Posicion del material</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>data</code></td>
            

            <td class="type">
            
                
<span class="param-type">String</span>


            
            </td>

            

            

            <td class="description last">indica si es gratuito o no</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="contract_NewContract.vue.html">contract/NewContract.vue</a>, <a href="contract_NewContract.vue.html#line4754">line 4754</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="replaceMaterial"><span class="type-signature"></span>replaceMaterial<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Funcion que se ejecuta al momento de cambiar de material
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="contract_NewContract.vue.html">contract/NewContract.vue</a>, <a href="contract_NewContract.vue.html#line4371">line 4371</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="searchMatByCode"><span class="type-signature"></span>searchMatByCode<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Buscara el material dependiendo del codigo que se le escriba
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="contract_NewContract.vue.html">contract/NewContract.vue</a>, <a href="contract_NewContract.vue.html#line3758">line 3758</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="searchMatByTitle"><span class="type-signature"></span>searchMatByTitle<span class="signature">(item)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Funcion que traera toda la informacion del material que se seleccione de la lista
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>item</code></td>
            

            <td class="type">
            
                
<span class="param-type">Object</span>


            
            </td>

            

            

            <td class="description last">Material elegido en la lista</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="contract_NewContract.vue.html">contract/NewContract.vue</a>, <a href="contract_NewContract.vue.html#line3933">line 3933</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="setAmortization"><span class="type-signature"></span>setAmortization<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Trae el esquema de amortizacion que se asigna al material
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="contract_NewContract.vue.html">contract/NewContract.vue</a>, <a href="contract_NewContract.vue.html#line5249">line 5249</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="showModalCuotas"><span class="type-signature"></span>showModalCuotas<span class="signature">(total)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Mostrara el modal avisando la suma de las cuotas son igual o diferentes al precio total del contrato
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>total</code></td>
            

            <td class="type">
            
                
<span class="param-type">Number</span>


            
            </td>

            

            

            <td class="description last">Cantidad la cual validara si las cantidades son iguales</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="contract_NewContract.vue.html">contract/NewContract.vue</a>, <a href="contract_NewContract.vue.html#line3712">line 3712</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="updateMaterialsContract"><span class="type-signature"></span>updateMaterialsContract<span class="signature">(val, item)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Funcion que agrupa y separa materiales que son gratuitos y con costo
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>val</code></td>
            

            <td class="type">
            
                
<span class="param-type">String</span>


            
            </td>

            

            

            <td class="description last">Cadena que define si es material con o sin costo</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>item</code></td>
            

            <td class="type">
            
                
<span class="param-type">String</span>


            
            </td>

            

            

            <td class="description last">Cadena que define el estado si es el contrato nuevo o adenda</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="contract_NewContract.vue.html">contract/NewContract.vue</a>, <a href="contract_NewContract.vue.html#line2634">line 2634</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
    

    

    
</article>

</section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Modules</h3><ul><li><a href="module-ConfirmedContract.html">ConfirmedContract</a></li><li><a href="module-Contract.html">Contract</a></li><li><a href="module-Cut.html">Cut</a></li><li><a href="module-HistoryContract.html">HistoryContract</a></li><li><a href="module-Material.html">Material</a></li><li><a href="module-Material2.html">Material2</a></li><li><a href="module-NewContract.html">NewContract</a></li><li><a href="module-NewMaterial.html">NewMaterial</a></li><li><a href="module-NewMaterial2.html">NewMaterial2</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.7</a> on Wed Aug 11 2021 17:08:52 GMT-0500 (GMT-05:00)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>